/*

Simple delay routines using Timer 0

Si-Tecno Juha Niinikoski 10.4.2002

*/


// PIC_CLK == 4000000
#define divider 32  /* 32 * 32 = 1024 */


/* Delays a multiple of 1 milliseconds at 4 MHz  TMR0 timer */

void delaym( unsigned char millisec )
{
    OPTION = (OPTION & 0xc0) | 0x04;  /* prescaler divide by 32 */
    do  {
        TMR0 = 0;
        while ( TMR0 < divider)
		{
		asm("clrwdt");
		}
    } while ( -- millisec > 0);
}

/* Delays a multiple microseconds + start delay at 4 MHz  TMR0 timer */

void delayu( unsigned char usec )
{
	OPTION = (OPTION & 0xc0) | 0x00;  /* 1MHz clock for TMR0 */
	TMR0 = 0;
	while ( TMR0 < usec )
		{
		asm("clrwdt");
		}
}

